RemoteCall (Java Platform SE 8 )
Keywords: java.rmi.server.RemoteCall interface
Date: 2018-07-01

compact2, compact3
java.rmi.server

## Interface RemoteCall

- Deprecated.
  no replacement.

      @Deprecated
      public interface RemoteCall

  `RemoteCall` is an abstraction used solely by the RMI runtime (in conjunction with stubs and skeletons of remote objects) to carry out a call to a remote object. The `RemoteCall` interface is deprecated because it is only used by deprecated methods of `java.rmi.server.RemoteRef`.
  Since:
    JDK1.1
  See Also:
    `RemoteRef`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `done()` Deprecated. no replacement
    `void` | `executeCall()` Deprecated. no replacement
    `ObjectInput` | `getInputStream()` Deprecated. no replacement
    `ObjectOutput` | `getOutputStream()` Deprecated. no replacement
    `ObjectOutput` | `getResultStream(boolean success)` Deprecated. no replacement
    `void` | `releaseInputStream()` Deprecated. no replacement
    `void` | `releaseOutputStream()` Deprecated. no replacement

- - ### Method Detail

    - #### getOutputStream

          @Deprecated
          ObjectOutput getOutputStream()
                                            throws IOException

      Deprecated. no replacement
      Return the output stream the stub/skeleton should put arguments/results into.
      Returns:
        output stream for arguments/results
      Throws:
        `IOException` - if an I/O error occurs.
      Since:
        JDK1.1

    - #### releaseOutputStream

          @Deprecated
          void releaseOutputStream()
                                        throws IOException

      Deprecated. no replacement
      Release the output stream; in some transports this would release the stream.
      Throws:
        `IOException` - if an I/O error occurs.
      Since:
        JDK1.1

    - #### getInputStream

          @Deprecated
          ObjectInput getInputStream()
                                          throws IOException

      Deprecated. no replacement
      Get the InputStream that the stub/skeleton should get results/arguments from.
      Returns:
        input stream for reading arguments/results
      Throws:
        `IOException` - if an I/O error occurs.
      Since:
        JDK1.1

    - #### releaseInputStream

          @Deprecated
          void releaseInputStream()
                                       throws IOException

      Deprecated. no replacement
      Release the input stream. This would allow some transports to release the channel early.
      Throws:
        `IOException` - if an I/O error occurs.
      Since:
        JDK1.1

    - #### getResultStream

          @Deprecated
          ObjectOutput getResultStream(boolean success)
                                            throws IOException,
                                                   StreamCorruptedException

      Deprecated. no replacement
      Returns an output stream (may put out header information relating to the success of the call). Should only succeed once per remote call.
      Parameters:
        `success` - If true, indicates normal return, else indicates exceptional return.
      Returns:
        output stream for writing call result
      Throws:
        `IOException` - if an I/O error occurs.
        `StreamCorruptedException` - If already been called.
      Since:
        JDK1.1

    - #### executeCall

          @Deprecated
          void executeCall()
                                throws Exception

      Deprecated. no replacement
      Do whatever it takes to execute the call.
      Throws:
        `Exception` - if a general exception occurs.
      Since:
        JDK1.1

    - #### done

          @Deprecated
          void done()
                         throws IOException

      Deprecated. no replacement
      Allow cleanup after the remote call has completed.
      Throws:
        `IOException` - if an I/O error occurs.
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.